Page MenuHomePhabricator

disabling global block locally on wiki does not work
Closed, InvalidPublic

Description

It seems there is no possibility to disable global IP block by a wiki admin. It is especially annoying if the global blocks are set without special care (long time, wide IP range, including logged in users, etc.).
Tested today on the following case:

seemed to enable editing by logged in users from this IPv6 range.

After recent change of this global block

https://meta.wikimedia.org/w/index.php?title=Special:Log/gblblock&dir=prev&offset=20151127120108&limit=1&type=gblblock&user=

not-logged users still cannot edit from these IPs despite the local unblock above. (however this is not a problem, just case)

Event Timeline

Ankry created this task.Nov 27 2015, 1:26 PM
Ankry raised the priority of this task from to Needs Triage.
Ankry updated the task description. (Show Details)
Ankry added a project: Commons.
Ankry added a subscriber: Ankry.
Restricted Application added subscribers: StudiesWorld, Steinsplitter, Aklapper. · View Herald TranscriptNov 27 2015, 1:26 PM

https://www.mediawiki.org/wiki/User:Krenair/Phabricator_projects

From the Commons project description:

Please do not report tasks under this project if the task is not actually specific to Commons but only because you found this problem on Commons. Also see How to report a bug.

I will let you find and add the correct project, and then I will tell you why this task is invalid anyway.

matmarex added a subscriber: matmarex.

Do tell, I think global blocks are supposed to be overridable locally, and this would mean that they aren't?

matmarex updated the task description. (Show Details)Nov 27 2015, 7:23 PM
matmarex set Security to None.
Ankry added a comment.Nov 27 2015, 7:46 PM

@Krenair I have no interest in repotring bugs here. I made it on other user (@Steinsplitter) request, who promissed to set projects properly, later. I couldn't find any general Mediawiki-* project to set. The choice list did not show me the one @matmarex just have set. Your response, however, convinces me that reporting bugs here by non-developers is pointless.

@matmarex, whatever the intention is, existence of a function that is indended to disable a global block locally and reporting that it disabled, while really it did not IS a bug.

My intention is. however, to find the right way to avoid accidental global blocks while being suggested that there is a more appropriate tool than ipblock-extempt user right.

Ankry removed a subscriber: Ankry.Nov 27 2015, 7:47 PM
Krenair closed this task as Invalid.Nov 27 2015, 7:53 PM
Krenair removed a project: Commons.
Krenair added a subscriber: Ankry.

The global block whitelist mechanism is Special:GlobalBlockWhitelist. It's listed on Special:SpecialPages.

Krenair reopened this task as Open.EditedNov 27 2015, 8:07 PM

Well, that should certainly rule out expecting MediaWiki:Autoblock_whitelist to change anything, but I think that commons log entry is actually from GlobalBlockWhitelist, so reopening in case there is a bug here.

Yes, that log entry is from that mechanism, duh.

This might be the same issue as T56496, but someone would have to dig in the database to confirm that.

MariaDB [centralauth_p]> select gb_id, gb_address from globalblocks where gb_address = '2001:41D0:2:7530:0:0:0:0/64';
+-------+-----------------------------+
| gb_id | gb_address                  |
+-------+-----------------------------+
| 50213 | 2001:41D0:2:7530:0:0:0:0/64 |
+-------+-----------------------------+
1 row in set (0.00 sec)

MariaDB [centralauth_p]> select gbw_id, gbw_address from commonswiki_p.global_block_whitelist where gbw_address = '2001:41D0:2:7530:0:0:0:0/64';
+--------+-----------------------------+
| gbw_id | gbw_address                 |
+--------+-----------------------------+
|  50213 | 2001:41D0:2:7530:0:0:0:0/64 |
+--------+-----------------------------+
1 row in set (0.01 sec)

MariaDB [centralauth_p]>

The ids are the same.

Glaisher closed this task as Invalid.Nov 28 2015, 9:28 AM
Glaisher claimed this task.

not-logged users still cannot edit from these IPs despite the local unblock above. (however this is not a problem, just case)

That is because of the block on /44 which hasn't been disabled on Commons. Only the /64 was disabled.

Please reopen if you think there is a bug.

@Ankry, I encourage you to continue filing reports in Phabricator. Reports are welcome. Phabricator has its limitations when it comes to finding the right project and I appreciate that you tried finding the right project to associate to this task.

Triagers and developers are supposed to help improving bug reports together with the reporter. Phabricator is explicitly not limited to developers.

If https://www.mediawiki.org/wiki/How_to_report_a_bug is not sufficient I'm happy to improve it, but there is a tradeoff between how much someone who spends their free time to help making Wikimedia's software better will actually read (or care about developers' needs when you just want to report a bug), or instead give up reporting a bug.

Ankry added a comment.Dec 1 2015, 8:59 AM

@Aklapper, My first project shoot was "Mediawiki-General-or-Unknown". Unfotrunately after typing "Mediawiki-G" the choice list pointed only some "Mediawiki-extension" entries suggesting there is no entry starting on "Mediawiki-G"... Unfortunately there was no help link / no project list in around. I really did not want to ask uncle google for help and dig their response at that moment. Phabricator is a real pain for non-developers who don't plan to work much with it and can spend 10 minutes a week for it.

Even the page you pointed would be great help if pointed directly from the "fill a bug" page. Unsure if and how it can be done.
Lack of any help links in the interface is a real pain for newbies that are directed to "fill a bug in phabricator".

I really don't want to know how Mediawiki code is organized internally (and I believe most Mediawiki users also do not). I only want to know how it works (limitted to functions I really need). So expecting non-developers to choose precisely code structure related project is a real pain.


Concerning the merit:
The comments above, made me realise that I (and most admins I contacted) did not know how range blocks really work. It was expected that disabling a block could be used on specified IPs/subnets to make the block effectively the block for "some subnet except some IP" Now I see that it does not (it can disable a block totally or nothing) and attempts to use this mechanism were just mistakes as it is useless in most cases of global range blocks I can imagine.

It is unlikely that global range blocks are totally unfistified, and the fact, that disabling the /44 IPv6 block for a single IP on a single wiki requires an unblock + 127-44=83 separate range blocks to be established, makes this mechanism useless in such cases. @Krenair and @Glaisher thanks for explanation and sorry for time you lost for it.

@Aklapper, My first project shoot was "Mediawiki-General-or-Unknown". Unfotrunately after typing "Mediawiki-G" the choice list pointed only some "Mediawiki-extension" entries suggesting there is no entry starting on "Mediawiki-G"... Unfortunately there was no help link / no project list in around. I really did not want to ask uncle google for help and dig their response at that moment. Phabricator is a real pain for non-developers who don't plan to work much with it and can spend 10 minutes a week for it.

Yes, it's buggy which makes it harder for reporters: T76732: Exact matches should always win when suggesting/auto-completing, T99739: Phabricator project auto-complete is arbitrary (in a bad way).

Even the page you pointed would be great help if pointed directly from the "fill a bug" page. Unsure if and how it can be done.

I agree: T115017: For new Phab accounts, link to [[mw:How to report a bug]] at the top of task creation form.